Bug 18529 - Template cleanup of patron clubs pages
Summary: Template cleanup of patron clubs pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12461
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-03 14:31 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18529 - Template cleanup of patron clubs pages (52.73 KB, patch)
2017-05-03 14:54 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18529 - Template cleanup of patron clubs pages (52.80 KB, patch)
2017-05-03 15:40 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18529 - Template cleanup of patron clubs pages (52.88 KB, patch)
2017-05-12 07:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-05-03 14:31:04 UTC
The patron clubs pages need some cleanup: markup errors, inconsistent styling, etc.
Comment 1 Owen Leonard 2017-05-03 14:54:21 UTC
Created attachment 63018 [details] [review]
Bug 18529 - Template cleanup of patron clubs pages

This patch addresses template issues with the newly-added patron clubs
pages.

- Move Clubs tab out of second position in Circulation page tabs.
- Link patron name in enrollments list to the patron record
- Make page titles on some pages more specific
- Correct label "for" attributes so that it matches input id
- Correst style of buttons: Buttons in tables must be "btn-xs," all
  Bootstrap buttons must have "btn-default."
- Correct "Edit" icons: Should be "fa-pencil"

This patch also revises the club template editing form to make it more
consistent with similar interfaces in Koha and (hopefully) make it more
clear.

To test, apply the patch and test adding clubs and club templates and
enrolling patrons in clubs via the staff client and OPAC. Confirm that
everything looks and work okay.
Comment 2 Josef Moravec 2017-05-03 15:40:10 UTC
Created attachment 63024 [details] [review]
[SIGNED-OFF] Bug 18529 - Template cleanup of patron clubs pages

This patch addresses template issues with the newly-added patron clubs
pages.

- Move Clubs tab out of second position in Circulation page tabs.
- Link patron name in enrollments list to the patron record
- Make page titles on some pages more specific
- Correct label "for" attributes so that it matches input id
- Correst style of buttons: Buttons in tables must be "btn-xs," all
  Bootstrap buttons must have "btn-default."
- Correct "Edit" icons: Should be "fa-pencil"

This patch also revises the club template editing form to make it more
consistent with similar interfaces in Koha and (hopefully) make it more
clear.

To test, apply the patch and test adding clubs and club templates and
enrolling patrons in clubs via the staff client and OPAC. Confirm that
everything looks and work okay.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-05-12 07:08:17 UTC
Created attachment 63404 [details] [review]
Bug 18529 - Template cleanup of patron clubs pages

This patch addresses template issues with the newly-added patron clubs
pages.

- Move Clubs tab out of second position in Circulation page tabs.
- Link patron name in enrollments list to the patron record
- Make page titles on some pages more specific
- Correct label "for" attributes so that it matches input id
- Correst style of buttons: Buttons in tables must be "btn-xs," all
  Bootstrap buttons must have "btn-default."
- Correct "Edit" icons: Should be "fa-pencil"

This patch also revises the club template editing form to make it more
consistent with similar interfaces in Koha and (hopefully) make it more
clear.

To test, apply the patch and test adding clubs and club templates and
enrolling patrons in clubs via the staff client and OPAC. Confirm that
everything looks and work okay.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-05-12 07:12:31 UTC
Looks good to me while glancing thru template changes and testing it 'diagonally'.
Kyle: If I am not mistaken, you know the feature well. Please have a look too.
Comment 5 Kyle M Hall 2017-05-12 13:01:03 UTC
(In reply to Marcel de Rooy from comment #4)
> Looks good to me while glancing thru template changes and testing it
> 'diagonally'.
> Kyle: If I am not mistaken, you know the feature well. Please have a look
> too.

Looks good to me!
Comment 6 Kyle M Hall 2017-05-12 13:03:02 UTC
Pushed to master for 17.05, thanks much Owen!
Comment 7 Katrin Fischer 2017-05-14 10:02:33 UTC
Depends on bug 12461 which is not part of 16.11.x.